Summary: Quick Spam Filter
Name: qsf
Version: 1.2.11
Release: 1
License: Artistic 2.0
Group: Development/Tools
Source0: http://www.ivarch.com/programs/sources/qsf-%{version}.tar.bz2
Source1: http://www.ivarch.com/programs/sources/qsf-%{version}.tar.bz2.txt
URL: http://www.ivarch.com/programs/qsf.shtml
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gdbm-devel >= 1.11-1
BuildRequires: sed, make
Requires: gdbm >= 1.11-1

%description
Quick Spam Filter (qsf) is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in spam than
non-spam.  It is intended to be used in a procmail recipe to mark email as
being possible spam.


%prep
%setup -q
# we need to replace "msg_t" with "my_msg_t" as otherwise we have conflicts
# with a system header file
find . -type f -exec /opt/freeware/bin/sed -i 's|msg_t|my_msg_t|g' {} \;


%build
./configure \
    --prefix=%{_prefix} \
    --sysconfdir=/etc \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --without-mysql
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

gunzip ${RPM_BUILD_ROOT}%{_mandir}/man?/*.gz || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README doc/NEWS doc/TODO doc/COPYING doc/postfix-howto extra/*.sh
%{_bindir}/%{name}
%{_mandir}/man1/*
/usr/bin/%{name}


%changelog
* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 1.2.11-1
- updated to version 1.2.11

* Mon Mar 18 2013 Michael Perzl <michael@perzl.org> - 1.2.7-1
- first version for AIX V5.1 and higher
